var gulp          = require('gulp');
var $             = require('gulp-load-plugins')();
var autoprefixer  = require('autoprefixer');
var touch         = require('gulp-touch-fd');
const gulpSass = require('gulp-sass')(require('sass'));

var sassPaths = [
    'node_modules/foundation-sites/scss'
];

function sass() {
    return gulp.src(['assets/*'])
        .pipe(gulpSass({
            includePaths: sassPaths,
            outputStyle: 'expanded' // if css compressed **file size**
        }).on('error', gulpSass.logError))
        .pipe($.postcss([autoprefixer()]))
        .pipe(gulp.dest('_build/css'))
        .pipe(touch());
};

function serve() {
    gulp.watch("scss/**/*.scss", sass);
}

gulp.task('sass', sass);
gulp.task('serve', gulp.series('sass', serve));
gulp.task('default', gulp.series('sass', serve));