//File validator
function inputFileValidator(
    $el, /* jQuery element to validate */
    required, /* is the element required according to the `[required]` attribute */
    parent    /* parent of the jQuery element `$el` */
) {
    var fileSize = $el.attr('data-file-max-size') * 1000000;

    if ($el.attr("type") === "file") {
        if ($el[0].files && $el[0].files.length) {

            var file = $el[0].files[0];

            return (file.size >= 1000 && file.size <= fileSize);
        }
    }

    return true;
};

Foundation.Abide.defaults.validators['file_validator'] = inputFileValidator;

$(document).ready(function () {
    $(".input-file input[type=file]").on("change", function () {
        var labelElement = $(this).parent().find("label.selection");

        if (labelElement) {
            if (!labelElement.is("[data-label-text]")) {
                labelElement.attr('data-label-text', labelElement.html());
            }

            var fileName = $(this).val().split('\\').pop();

            if (fileName == '' || fileName === undefined) {
                fileName = labelElement.attr('data-label-text');
            }

            labelElement.html(fileName);
        }
    });
});